Subject: [bug#61437] [PATCH] doc: contributing: Cover push frequency in the Commit Policy.

From: Simon Tournier <[email-masked]>
Date: Mon, 20 Feb 2023 12:30:35 +0100

Hi Chris,

On ven., 17 févr. 2023 at 18:36, Christopher Baines <[email-masked]> wrote:

>>> +Try to plan ahead and avoid pushing several times in a short time
>>> +window.  This reduces the likelyhood that others working on the same
>>> +branch will encounter problems when pushing.  It also reduces the load
>>> +on services like @url{https://data.guix.gnu.org,data.guix.gnu.org} that
>>> +process each revision that is pushed.
>>
>> The point is to push by batch instead of pushing several times in a row,
>> right?
>
> Pretty much, it's a balance of course as sometimes it'll be worth
> pushing without much time between, but as I say there's advantages in
> trying to plan ahead to reduce that.

Well, maybe it is only me but I have difficulties to understand what you
mean by “plan ahead”.  Instead I would use “Try to push by batch and …”
or something like that.

Note the typo: s/likelyhood/likelihood

Well, LGTM.

Cheers,
simon